## dsnap 1.0.0

=== Makefile ===
IMAGE ?= output.img

flake8:
	flake8 dsnap --count --select=E9,F63,F7,F82 --show-source --statistics
	flake8 dsnap --count --exit-zero --max-complexity=10 --max-line-length=127 --statistics

lint: flake8 mypy

stubgen:
	test -d stubs || stubgen --include-private -o stubs -p boto3 -p stubs.boto3.resources.base -p botocore -p jmespath

mypy: stubgen
	MYPYPATH="${PWD}/stubs" mypy --show-error-codes dsnap

clean:
	rm -rf .mypy_cache/
	rm -rf .pytest_cache/
	rm -rf out/
	rm -rf ./**/**/__pycache__/

docker/build:
	docker build -f Dockerfile.mount -t dsnap-mount .

docker/run:
	docker run -it -v "${PWD}/${IMAGE}:/disks/${IMAGE}" -w /disks dsnap-mount --ro -a "${IMAGE}" -m /dev/sda1:/

test:
	pytest ./tests

=== debian/changelog ===
dsnap (1.0.0-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Add missing build-dependency on python3-poetry-core.

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Add missing dep python3-mypy-boto3-ebs

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Dec 2022 16:14:28 +0100

dsnap (1.0.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Apr 2021 15:41:42 +0200

=== debian/control ===
Source: dsnap
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-boto3,
               python3-mock,
               python3-mypy-boto3-ebs,
               python3-pytest,
               python3-setuptools,
               python3-typer,
               python3-poetry-core
Standards-Version: 4.6.1
Homepage: https://github.com/RhinoSecurityLabs/dsnap
Vcs-Browser: https://gitlab.com/kalilinux/packages/dsnap
Vcs-Git: https://gitlab.com/kalilinux/packages/dsnap.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-dsnap
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-mypy-boto3-ebs
Description: utility for downloading EBS snapshots (Python 3)
 This package contains a utility for downloading EBS snapshots using the EBS
 Direct API's.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=dsnap

# tests require moto: it's not available in Debian. It requires
# python3-jose not yet in Debian. We should consider to package moto once
# python3-jose has been uploaded in Debian
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dsnap-$1.tar.gz%" \
   https://github.com/RhinoSecurityLabs/dsnap/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dsnap 1.0.1

=== debian/changelog ===
dsnap (1.0.1-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Wrap long lines in changelog entries: 1.0.0-0kali2.
  * Update standards version to 4.6.2, no changes needed.

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Update d/watch to v5
  * Update d/control
  * New upstream version 1.0.1
  * Add smoke test
  * Rework to use poetry build system
  * Add missing runtime dep to fix test

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 03 Mar 2026 21:09:19 +0700

=== debian/control ===
Source: dsnap
Section: python
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-boto3,
               python3-mock,
               python3-mypy-boto3-ebs,
               python3-poetry,
               python3-poetry-core,
               python3-pytest,
               python3-typer,
Standards-Version: 4.7.3
Homepage: https://github.com/RhinoSecurityLabs/dsnap
Vcs-Browser: https://gitlab.com/kalilinux/packages/dsnap
Vcs-Git: https://gitlab.com/kalilinux/packages/dsnap.git
Testsuite: autopkgtest-pkg-python

Package: python3-dsnap
Architecture: all
Depends: python3-mypy-boto3-ebs,
         python3-typer,
         ${misc:Depends},
         ${python3:Depends},
Description: utility for downloading EBS snapshots (Python 3)
 This package contains a utility for downloading EBS snapshots using the EBS
 Direct API's.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: dsnap --help

=== debian/watch ===
Version: 5

Template: Github
Dist: https://github.com/RhinoSecurityLabs/dsnap
